#include <linux/kernel.h>
#include <linux/types.h>
#include <linux/malloc.h>
#include <linux/mm.h>
#include <linux/string.h>
#include <net/ip_masq.h>
#include <net/ip_mycs.h>
#include <net/rule_match.h>

struct ip_vs_cb_rule_field rule_fields [] =
{
  {"purchase:1.totalAmount:1.", ""},
  {"purchase:1.item:2.subTotal:1.", ""}
};

int num_rule_fields = sizeof(rule_fields) / sizeof(struct ip_vs_cb_rule_field);

#define atoi(arg) simple_strtol(&(arg[0]), (char **) NULL, 10)

__u32 rule_configure( __u32 saddr, __u32 daddr, __u16 sport, __u16 dport, __u8 protocol)
{

R1:     if(strstr(url, "NON MATCHING RULE #1") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R2:     if(strstr(url, "NON MATCHING RULE #2") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R3:     if(strstr(url, "NON MATCHING RULE #3") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R4:     if(strstr(url, "NON MATCHING RULE #4") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R5:     if(strstr(url, "NON MATCHING RULE #5") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R6:     if(strstr(url, "NON MATCHING RULE #6") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R7:     if(strstr(url, "NON MATCHING RULE #7") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R8:     if(strstr(url, "NON MATCHING RULE #8") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R9:     if(strstr(url, "NON MATCHING RULE #9") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R10:     if(strstr(url, "NON MATCHING RULE #10") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R11:     if(strstr(url, "NON MATCHING RULE #11") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R12:     if(strstr(url, "NON MATCHING RULE #12") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R13:     if(strstr(url, "NON MATCHING RULE #13") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R14:     if(strstr(url, "NON MATCHING RULE #14") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R15:     if(strstr(url, "NON MATCHING RULE #15") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R16:     if(strstr(url, "NON MATCHING RULE #16") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R17:     if(strstr(url, "NON MATCHING RULE #17") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R18:     if(strstr(url, "NON MATCHING RULE #18") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R19:     if(strstr(url, "NON MATCHING RULE #19") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R20:     if(strstr(url, "NON MATCHING RULE #20") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R21:     if(strstr(url, "NON MATCHING RULE #21") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R22:     if(strstr(url, "NON MATCHING RULE #22") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R23:     if(strstr(url, "NON MATCHING RULE #23") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R24:     if(strstr(url, "NON MATCHING RULE #24") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R25:     if(strstr(url, "NON MATCHING RULE #25") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R26:     if(strstr(url, "NON MATCHING RULE #26") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R27:     if(strstr(url, "NON MATCHING RULE #27") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R28:     if(strstr(url, "NON MATCHING RULE #28") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R29:     if(strstr(url, "NON MATCHING RULE #29") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R30:     if(strstr(url, "NON MATCHING RULE #30") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R31:     if(strstr(url, "NON MATCHING RULE #31") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R32:     if(strstr(url, "NON MATCHING RULE #32") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R33:     if(strstr(url, "NON MATCHING RULE #33") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R34:     if(strstr(url, "NON MATCHING RULE #34") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R35:     if(strstr(url, "NON MATCHING RULE #35") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R36:     if(strstr(url, "NON MATCHING RULE #36") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R37:     if(strstr(url, "NON MATCHING RULE #37") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R38:     if(strstr(url, "NON MATCHING RULE #38") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R39:     if(strstr(url, "NON MATCHING RULE #39") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R40:     if(strstr(url, "NON MATCHING RULE #40") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R41:     if(strstr(url, "NON MATCHING RULE #41") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R42:     if(strstr(url, "NON MATCHING RULE #42") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R43:     if(strstr(url, "NON MATCHING RULE #43") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R44:     if(strstr(url, "NON MATCHING RULE #44") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R45:     if(strstr(url, "NON MATCHING RULE #45") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R46:     if(strstr(url, "NON MATCHING RULE #46") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R47:     if(strstr(url, "NON MATCHING RULE #47") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R48:     if(strstr(url, "NON MATCHING RULE #48") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R49:     if(strstr(url, "NON MATCHING RULE #49") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R50:     if(strstr(url, "NON MATCHING RULE #50") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R51:     if(strstr(url, "NON MATCHING RULE #51") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R52:     if(strstr(url, "NON MATCHING RULE #52") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R53:     if(strstr(url, "NON MATCHING RULE #53") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R54:     if(strstr(url, "NON MATCHING RULE #54") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R55:     if(strstr(url, "NON MATCHING RULE #55") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R56:     if(strstr(url, "NON MATCHING RULE #56") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R57:     if(strstr(url, "NON MATCHING RULE #57") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R58:     if(strstr(url, "NON MATCHING RULE #58") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R59:     if(strstr(url, "NON MATCHING RULE #59") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R60:     if(strstr(url, "NON MATCHING RULE #60") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R61:     if(strstr(url, "NON MATCHING RULE #61") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R62:     if(strstr(url, "NON MATCHING RULE #62") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R63:     if(strstr(url, "NON MATCHING RULE #63") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R64:     if(strstr(url, "NON MATCHING RULE #64") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R65:     if(strstr(url, "NON MATCHING RULE #65") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R66:     if(strstr(url, "NON MATCHING RULE #66") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R67:     if(strstr(url, "NON MATCHING RULE #67") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R68:     if(strstr(url, "NON MATCHING RULE #68") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R69:     if(strstr(url, "NON MATCHING RULE #69") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R70:     if(strstr(url, "NON MATCHING RULE #70") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R71:     if(strstr(url, "NON MATCHING RULE #71") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R72:     if(strstr(url, "NON MATCHING RULE #72") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R73:     if(strstr(url, "NON MATCHING RULE #73") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R74:     if(strstr(url, "NON MATCHING RULE #74") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R75:     if(strstr(url, "NON MATCHING RULE #75") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R76:     if(strstr(url, "NON MATCHING RULE #76") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R77:     if(strstr(url, "NON MATCHING RULE #77") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R78:     if(strstr(url, "NON MATCHING RULE #78") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R79:     if(strstr(url, "NON MATCHING RULE #79") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R80:     if(strstr(url, "NON MATCHING RULE #80") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R81:     if(strstr(url, "NON MATCHING RULE #81") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R82:     if(strstr(url, "NON MATCHING RULE #82") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R83:     if(strstr(url, "NON MATCHING RULE #83") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R84:     if(strstr(url, "NON MATCHING RULE #84") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R85:     if(strstr(url, "NON MATCHING RULE #85") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R86:     if(strstr(url, "NON MATCHING RULE #86") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R87:     if(strstr(url, "NON MATCHING RULE #87") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R88:     if(strstr(url, "NON MATCHING RULE #88") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R89:     if(strstr(url, "NON MATCHING RULE #89") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R90:     if(strstr(url, "NON MATCHING RULE #90") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R91:	if(strstr(url, "223_") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
	}

R92:	if(strstr(url, "735_") != NULL)
        {
          IP_RULE_MSG("server=gandalf\n");
          return route_to("gandalf", NON_STICKY, saddr);
	}

R93:	if(strstr(url, "1522_") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
	}

R94:	if(strstr(url, "2895_") != NULL)
        {
          IP_RULE_MSG("server=gandalf\n");
          return route_to("gandalf", NON_STICKY, saddr);
	}

R95:	if(strstr(url, "6040_") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
	}

R96:	if(strstr(url, "11426_") != NULL)
        {
          IP_RULE_MSG("server=gandalf\n");
          return route_to("gandalf", NON_STICKY, saddr);
	}

R97:	if(strstr(url, "22132_") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
	}

R98:	if(strstr(url, "41518_") != NULL)
        {
          IP_RULE_MSG("server=gandalf\n");
          return route_to("gandalf", NON_STICKY, saddr);
	}

R99:	if(strstr(url, "87360_") != NULL)
        {
          IP_RULE_MSG("server=gandalf\n");
          return route_to("gandalf", NON_STICKY, saddr);
	}

R100:	if(strstr(url, "529k_") != NULL)
        {
          IP_RULE_MSG("server=gandalf\n");
          return route_to("gandalf", NON_STICKY, saddr);
	}

  return route_to("default", NON_STICKY, saddr);
}
