#include <linux/kernel.h>
#include <linux/types.h>
#include <linux/malloc.h>
#include <linux/mm.h>
#include <linux/string.h>
#include <net/ip_masq.h>
#include <net/ip_mycs.h>
#include <net/rule_match.h>

struct ip_vs_cb_rule_field rule_fields [] =
{
  {"purchase:1.totalAmount:1.", ""},
  {"purchase:1.item:2.subTotal:1.", ""}
};

int num_rule_fields = sizeof(rule_fields) / sizeof(struct ip_vs_cb_rule_field);

#define atoi(arg) simple_strtol(&(arg[0]), (char **) NULL, 10)

__u32 rule_configure( __u32 saddr, __u32 daddr, __u16 sport, __u16 dport, __u8 protocol)
{

R1:     if(strstr(url, "NON MATCHING RULE #1") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R2:     if(strstr(url, "NON MATCHING RULE #2") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R3:     if(strstr(url, "NON MATCHING RULE #3") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R4:     if(strstr(url, "NON MATCHING RULE #4") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R5:     if(strstr(url, "NON MATCHING RULE #5") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R6:     if(strstr(url, "NON MATCHING RULE #6") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R7:     if(strstr(url, "NON MATCHING RULE #7") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R8:     if(strstr(url, "NON MATCHING RULE #8") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R9:     if(strstr(url, "NON MATCHING RULE #9") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R10:     if(strstr(url, "NON MATCHING RULE #10") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R11:     if(strstr(url, "NON MATCHING RULE #11") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R12:     if(strstr(url, "NON MATCHING RULE #12") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R13:     if(strstr(url, "NON MATCHING RULE #13") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R14:     if(strstr(url, "NON MATCHING RULE #14") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R15:     if(strstr(url, "NON MATCHING RULE #15") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R16:     if(strstr(url, "NON MATCHING RULE #16") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R17:     if(strstr(url, "NON MATCHING RULE #17") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R18:     if(strstr(url, "NON MATCHING RULE #18") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R19:     if(strstr(url, "NON MATCHING RULE #19") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R20:     if(strstr(url, "NON MATCHING RULE #20") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R21:     if(strstr(url, "NON MATCHING RULE #21") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R22:     if(strstr(url, "NON MATCHING RULE #22") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R23:     if(strstr(url, "NON MATCHING RULE #23") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R24:     if(strstr(url, "NON MATCHING RULE #24") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R25:     if(strstr(url, "NON MATCHING RULE #25") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R26:     if(strstr(url, "NON MATCHING RULE #26") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R27:     if(strstr(url, "NON MATCHING RULE #27") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R28:     if(strstr(url, "NON MATCHING RULE #28") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R29:     if(strstr(url, "NON MATCHING RULE #29") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R30:     if(strstr(url, "NON MATCHING RULE #30") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R31:     if(strstr(url, "NON MATCHING RULE #31") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R32:     if(strstr(url, "NON MATCHING RULE #32") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R33:     if(strstr(url, "NON MATCHING RULE #33") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R34:     if(strstr(url, "NON MATCHING RULE #34") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R35:     if(strstr(url, "NON MATCHING RULE #35") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R36:     if(strstr(url, "NON MATCHING RULE #36") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R37:     if(strstr(url, "NON MATCHING RULE #37") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R38:     if(strstr(url, "NON MATCHING RULE #38") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R39:     if(strstr(url, "NON MATCHING RULE #39") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R40:     if(strstr(url, "NON MATCHING RULE #40") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R41:     if(strstr(url, "NON MATCHING RULE #41") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R42:     if(strstr(url, "NON MATCHING RULE #42") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R43:     if(strstr(url, "NON MATCHING RULE #43") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R44:     if(strstr(url, "NON MATCHING RULE #44") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R45:     if(strstr(url, "NON MATCHING RULE #45") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R46:     if(strstr(url, "NON MATCHING RULE #46") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R47:     if(strstr(url, "NON MATCHING RULE #47") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R48:     if(strstr(url, "NON MATCHING RULE #48") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R49:     if(strstr(url, "NON MATCHING RULE #49") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R50:     if(strstr(url, "NON MATCHING RULE #50") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R51:     if(strstr(url, "NON MATCHING RULE #51") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R52:     if(strstr(url, "NON MATCHING RULE #52") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R53:     if(strstr(url, "NON MATCHING RULE #53") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R54:     if(strstr(url, "NON MATCHING RULE #54") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R55:     if(strstr(url, "NON MATCHING RULE #55") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R56:     if(strstr(url, "NON MATCHING RULE #56") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R57:     if(strstr(url, "NON MATCHING RULE #57") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R58:     if(strstr(url, "NON MATCHING RULE #58") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R59:     if(strstr(url, "NON MATCHING RULE #59") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R60:     if(strstr(url, "NON MATCHING RULE #60") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R61:     if(strstr(url, "NON MATCHING RULE #61") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R62:     if(strstr(url, "NON MATCHING RULE #62") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R63:     if(strstr(url, "NON MATCHING RULE #63") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R64:     if(strstr(url, "NON MATCHING RULE #64") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R65:     if(strstr(url, "NON MATCHING RULE #65") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R66:     if(strstr(url, "NON MATCHING RULE #66") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R67:     if(strstr(url, "NON MATCHING RULE #67") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R68:     if(strstr(url, "NON MATCHING RULE #68") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R69:     if(strstr(url, "NON MATCHING RULE #69") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R70:     if(strstr(url, "NON MATCHING RULE #70") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R71:     if(strstr(url, "NON MATCHING RULE #71") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R72:     if(strstr(url, "NON MATCHING RULE #72") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R73:     if(strstr(url, "NON MATCHING RULE #73") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R74:     if(strstr(url, "NON MATCHING RULE #74") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R75:     if(strstr(url, "NON MATCHING RULE #75") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R76:     if(strstr(url, "NON MATCHING RULE #76") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R77:     if(strstr(url, "NON MATCHING RULE #77") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R78:     if(strstr(url, "NON MATCHING RULE #78") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R79:     if(strstr(url, "NON MATCHING RULE #79") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R80:     if(strstr(url, "NON MATCHING RULE #80") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R81:     if(strstr(url, "NON MATCHING RULE #81") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R82:     if(strstr(url, "NON MATCHING RULE #82") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R83:     if(strstr(url, "NON MATCHING RULE #83") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R84:     if(strstr(url, "NON MATCHING RULE #84") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R85:     if(strstr(url, "NON MATCHING RULE #85") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R86:     if(strstr(url, "NON MATCHING RULE #86") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R87:     if(strstr(url, "NON MATCHING RULE #87") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R88:     if(strstr(url, "NON MATCHING RULE #88") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R89:     if(strstr(url, "NON MATCHING RULE #89") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R90:     if(strstr(url, "NON MATCHING RULE #90") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R91:     if(strstr(url, "NON MATCHING RULE #91") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R92:     if(strstr(url, "NON MATCHING RULE #92") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R93:     if(strstr(url, "NON MATCHING RULE #93") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R94:     if(strstr(url, "NON MATCHING RULE #94") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R95:     if(strstr(url, "NON MATCHING RULE #95") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R96:     if(strstr(url, "NON MATCHING RULE #96") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R97:     if(strstr(url, "NON MATCHING RULE #97") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R98:     if(strstr(url, "NON MATCHING RULE #98") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R99:     if(strstr(url, "NON MATCHING RULE #99") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R100:     if(strstr(url, "NON MATCHING RULE #100") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R101:     if(strstr(url, "NON MATCHING RULE #101") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R102:     if(strstr(url, "NON MATCHING RULE #102") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R103:     if(strstr(url, "NON MATCHING RULE #103") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R104:     if(strstr(url, "NON MATCHING RULE #104") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R105:     if(strstr(url, "NON MATCHING RULE #105") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R106:     if(strstr(url, "NON MATCHING RULE #106") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R107:     if(strstr(url, "NON MATCHING RULE #107") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R108:     if(strstr(url, "NON MATCHING RULE #108") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R109:     if(strstr(url, "NON MATCHING RULE #109") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R110:     if(strstr(url, "NON MATCHING RULE #110") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R111:     if(strstr(url, "NON MATCHING RULE #111") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R112:     if(strstr(url, "NON MATCHING RULE #112") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R113:     if(strstr(url, "NON MATCHING RULE #113") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R114:     if(strstr(url, "NON MATCHING RULE #114") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R115:     if(strstr(url, "NON MATCHING RULE #115") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R116:     if(strstr(url, "NON MATCHING RULE #116") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R117:     if(strstr(url, "NON MATCHING RULE #117") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R118:     if(strstr(url, "NON MATCHING RULE #118") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R119:     if(strstr(url, "NON MATCHING RULE #119") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R120:     if(strstr(url, "NON MATCHING RULE #120") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R121:     if(strstr(url, "NON MATCHING RULE #121") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R122:     if(strstr(url, "NON MATCHING RULE #122") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R123:     if(strstr(url, "NON MATCHING RULE #123") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R124:     if(strstr(url, "NON MATCHING RULE #124") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R125:     if(strstr(url, "NON MATCHING RULE #125") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R126:     if(strstr(url, "NON MATCHING RULE #126") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R127:     if(strstr(url, "NON MATCHING RULE #127") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R128:     if(strstr(url, "NON MATCHING RULE #128") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R129:     if(strstr(url, "NON MATCHING RULE #129") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R130:     if(strstr(url, "NON MATCHING RULE #130") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R131:     if(strstr(url, "NON MATCHING RULE #131") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R132:     if(strstr(url, "NON MATCHING RULE #132") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R133:     if(strstr(url, "NON MATCHING RULE #133") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R134:     if(strstr(url, "NON MATCHING RULE #134") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R135:     if(strstr(url, "NON MATCHING RULE #135") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R136:     if(strstr(url, "NON MATCHING RULE #136") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R137:     if(strstr(url, "NON MATCHING RULE #137") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R138:     if(strstr(url, "NON MATCHING RULE #138") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R139:     if(strstr(url, "NON MATCHING RULE #139") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R140:     if(strstr(url, "NON MATCHING RULE #140") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R141:     if(strstr(url, "NON MATCHING RULE #141") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R142:     if(strstr(url, "NON MATCHING RULE #142") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R143:     if(strstr(url, "NON MATCHING RULE #143") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R144:     if(strstr(url, "NON MATCHING RULE #144") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R145:     if(strstr(url, "NON MATCHING RULE #145") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R146:     if(strstr(url, "NON MATCHING RULE #146") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R147:     if(strstr(url, "NON MATCHING RULE #147") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R148:     if(strstr(url, "NON MATCHING RULE #148") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R149:     if(strstr(url, "NON MATCHING RULE #149") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R150:     if(strstr(url, "NON MATCHING RULE #150") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R151:     if(strstr(url, "NON MATCHING RULE #151") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R152:     if(strstr(url, "NON MATCHING RULE #152") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R153:     if(strstr(url, "NON MATCHING RULE #153") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R154:     if(strstr(url, "NON MATCHING RULE #154") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R155:     if(strstr(url, "NON MATCHING RULE #155") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R156:     if(strstr(url, "NON MATCHING RULE #156") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R157:     if(strstr(url, "NON MATCHING RULE #157") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R158:     if(strstr(url, "NON MATCHING RULE #158") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R159:     if(strstr(url, "NON MATCHING RULE #159") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R160:     if(strstr(url, "NON MATCHING RULE #160") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R161:     if(strstr(url, "NON MATCHING RULE #161") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R162:     if(strstr(url, "NON MATCHING RULE #162") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R163:     if(strstr(url, "NON MATCHING RULE #163") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R164:     if(strstr(url, "NON MATCHING RULE #164") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R165:     if(strstr(url, "NON MATCHING RULE #165") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R166:     if(strstr(url, "NON MATCHING RULE #166") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R167:     if(strstr(url, "NON MATCHING RULE #167") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R168:     if(strstr(url, "NON MATCHING RULE #168") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R169:     if(strstr(url, "NON MATCHING RULE #169") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R170:     if(strstr(url, "NON MATCHING RULE #170") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R171:     if(strstr(url, "NON MATCHING RULE #171") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R172:     if(strstr(url, "NON MATCHING RULE #172") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R173:     if(strstr(url, "NON MATCHING RULE #173") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R174:     if(strstr(url, "NON MATCHING RULE #174") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R175:     if(strstr(url, "NON MATCHING RULE #175") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R176:     if(strstr(url, "NON MATCHING RULE #176") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R177:     if(strstr(url, "NON MATCHING RULE #177") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R178:     if(strstr(url, "NON MATCHING RULE #178") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R179:     if(strstr(url, "NON MATCHING RULE #179") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R180:     if(strstr(url, "NON MATCHING RULE #180") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R181:     if(strstr(url, "NON MATCHING RULE #181") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R182:     if(strstr(url, "NON MATCHING RULE #182") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R183:     if(strstr(url, "NON MATCHING RULE #183") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R184:     if(strstr(url, "NON MATCHING RULE #184") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R185:     if(strstr(url, "NON MATCHING RULE #185") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R186:     if(strstr(url, "NON MATCHING RULE #186") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R187:     if(strstr(url, "NON MATCHING RULE #187") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R188:     if(strstr(url, "NON MATCHING RULE #188") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R189:     if(strstr(url, "NON MATCHING RULE #189") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R190:     if(strstr(url, "NON MATCHING RULE #190") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R191:     if(strstr(url, "NON MATCHING RULE #191") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R192:     if(strstr(url, "NON MATCHING RULE #192") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R193:     if(strstr(url, "NON MATCHING RULE #193") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R194:     if(strstr(url, "NON MATCHING RULE #194") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R195:     if(strstr(url, "NON MATCHING RULE #195") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R196:     if(strstr(url, "NON MATCHING RULE #196") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R197:     if(strstr(url, "NON MATCHING RULE #197") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R198:     if(strstr(url, "NON MATCHING RULE #198") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R199:     if(strstr(url, "NON MATCHING RULE #199") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R200:     if(strstr(url, "NON MATCHING RULE #200") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R201:     if(strstr(url, "NON MATCHING RULE #201") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R202:     if(strstr(url, "NON MATCHING RULE #202") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R203:     if(strstr(url, "NON MATCHING RULE #203") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R204:     if(strstr(url, "NON MATCHING RULE #204") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R205:     if(strstr(url, "NON MATCHING RULE #205") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R206:     if(strstr(url, "NON MATCHING RULE #206") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R207:     if(strstr(url, "NON MATCHING RULE #207") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R208:     if(strstr(url, "NON MATCHING RULE #208") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R209:     if(strstr(url, "NON MATCHING RULE #209") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R210:     if(strstr(url, "NON MATCHING RULE #210") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R211:     if(strstr(url, "NON MATCHING RULE #211") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R212:     if(strstr(url, "NON MATCHING RULE #212") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R213:     if(strstr(url, "NON MATCHING RULE #213") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R214:     if(strstr(url, "NON MATCHING RULE #214") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R215:     if(strstr(url, "NON MATCHING RULE #215") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R216:     if(strstr(url, "NON MATCHING RULE #216") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R217:     if(strstr(url, "NON MATCHING RULE #217") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R218:     if(strstr(url, "NON MATCHING RULE #218") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R219:     if(strstr(url, "NON MATCHING RULE #219") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R220:     if(strstr(url, "NON MATCHING RULE #220") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R221:     if(strstr(url, "NON MATCHING RULE #221") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R222:     if(strstr(url, "NON MATCHING RULE #222") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R223:     if(strstr(url, "NON MATCHING RULE #223") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R224:     if(strstr(url, "NON MATCHING RULE #224") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R225:     if(strstr(url, "NON MATCHING RULE #225") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R226:     if(strstr(url, "NON MATCHING RULE #226") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R227:     if(strstr(url, "NON MATCHING RULE #227") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R228:     if(strstr(url, "NON MATCHING RULE #228") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R229:     if(strstr(url, "NON MATCHING RULE #229") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R230:     if(strstr(url, "NON MATCHING RULE #230") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R231:     if(strstr(url, "NON MATCHING RULE #231") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R232:     if(strstr(url, "NON MATCHING RULE #232") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R233:     if(strstr(url, "NON MATCHING RULE #233") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R234:     if(strstr(url, "NON MATCHING RULE #234") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R235:     if(strstr(url, "NON MATCHING RULE #235") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R236:     if(strstr(url, "NON MATCHING RULE #236") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R237:     if(strstr(url, "NON MATCHING RULE #237") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R238:     if(strstr(url, "NON MATCHING RULE #238") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R239:     if(strstr(url, "NON MATCHING RULE #239") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R240:     if(strstr(url, "NON MATCHING RULE #240") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R241:	if(strstr(url, "223_") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
	}

R242:	if(strstr(url, "735_") != NULL)
        {
          IP_RULE_MSG("server=gandalf\n");
          return route_to("gandalf", NON_STICKY, saddr);
	}

R243:	if(strstr(url, "1522_") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
	}

R244:	if(strstr(url, "2895_") != NULL)
        {
          IP_RULE_MSG("server=gandalf\n");
          return route_to("gandalf", NON_STICKY, saddr);
	}

R245:	if(strstr(url, "6040_") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
	}

R246:	if(strstr(url, "11426_") != NULL)
        {
          IP_RULE_MSG("server=gandalf\n");
          return route_to("gandalf", NON_STICKY, saddr);
	}

R247:	if(strstr(url, "22132_") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
	}

R248:	if(strstr(url, "41518_") != NULL)
        {
          IP_RULE_MSG("server=gandalf\n");
          return route_to("gandalf", NON_STICKY, saddr);
	}

R249:	if(strstr(url, "87360_") != NULL)
        {
          IP_RULE_MSG("server=gandalf\n");
          return route_to("gandalf", NON_STICKY, saddr);
	}

R250:	if(strstr(url, "529k_") != NULL)
        {
          IP_RULE_MSG("server=gandalf\n");
          return route_to("gandalf", NON_STICKY, saddr);
	}

  return route_to("default", NON_STICKY, saddr);
}
