#include <linux/kernel.h>
#include <linux/types.h>
#include <linux/malloc.h>
#include <linux/mm.h>
#include <linux/string.h>
#include <net/ip_masq.h>

#define STICKY_ON_IP 1
#define STICKY_ON_IP_PORT 2
#define NON_STICKY 3


/* client domain vs. ipaddress
   wetterhorn     80c6a2d9,
   redcloud       80c6a242,
   cs             80c6a244,
   shavano        80c6a240,
   crestone       80c6a23d,
   sanluis        80c6a23e,
   blanca         80c6a23c,
*/

char *xml_tag_list[2]=
{
	"purchase.item.totalAmount.",
	"purchase.item.subTotal."
};


 
int tag_number=2;
static char url[256];
static char xml_tag_value[50][256];
static int number=0;
extern int route_to(char * name, int flag);

int rule_configure( __u32 saddr, __u32 daddr, __u16 sport, __u16 dport, __u8 protocol)
{
int i;
	
/*printk("saddr=%08x\n",saddr);*/	
R1:	if(strstr(url,"chow")!=NULL) goto R3;

R2:	if(strstr(url,"guest")!=NULL)
		return route_to("ace",NON_STICKY);

R3:	if((saddr==0x80c6a242)&&(protocol==IPPROTO_TCP)&&(strstr(url,"cs301")!=NULL)) 
		return route_to("frodo",NON_STICKY);

R4:	if(strcmp(xml_tag_value[0],"52000")==0)
		return route_to("frodo",NON_STICKY);

R5:	if(strcmp(xml_tag_value[1],"50000")==0)		
		return route_to("frodo",NON_STICKY);

R6:	if(saddr==0x80c6a23c) 
		return route_to("reject",NON_STICKY);

R7:     if(saddr==0x80c6a242)
	{       
		return route_to("frodo",STICKY_ON_IP);
	}
R8:	if(strstr(url,"cs522")!=NULL)

		return route_to("ace",NON_STICKY);

R9:	if(strstr(url,"cs301")!=NULL)

		return route_to("frodo",NON_STICKY);

	return route_to("default",NON_STICKY);
	
	

}	


