#include <linux/kernel.h>
#include <linux/types.h>
#include <linux/malloc.h>
#include <linux/mm.h>
#include <linux/string.h>
#include <net/ip_masq.h>
#include <net/ip_mycs.h>
#include <net/rule_match.h>

struct ip_vs_cb_rule_field rule_fields [] =
{
  {"purchase:1.totalAmount:1.", ""},
  {"purchase:1.item:2.subTotal:1.", ""}
};

int num_rule_fields = sizeof(rule_fields) / sizeof(struct ip_vs_cb_rule_field);

#define atoi(arg) simple_strtol(&(arg[0]), (char **) NULL, 10)

__u32 rule_configure( __u32 saddr, __u32 daddr, __u16 sport, __u16 dport, __u8 protocol)
{

R1:     if(strstr(url, "NON MATCHING RULE #1") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R2:     if(strstr(url, "NON MATCHING RULE #2") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R3:     if(strstr(url, "NON MATCHING RULE #3") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R4:     if(strstr(url, "NON MATCHING RULE #4") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R5:     if(strstr(url, "NON MATCHING RULE #5") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R6:     if(strstr(url, "NON MATCHING RULE #6") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R7:     if(strstr(url, "NON MATCHING RULE #7") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R8:     if(strstr(url, "NON MATCHING RULE #8") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R9:     if(strstr(url, "NON MATCHING RULE #9") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R10:     if(strstr(url, "NON MATCHING RULE #10") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R11:	if(strstr(url, "223_") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
	}

R12:	if(strstr(url, "735_") != NULL)
        {
          IP_RULE_MSG("server=gandalf\n");
          return route_to("gandalf", NON_STICKY, saddr);
	}

R13:	if(strstr(url, "1522_") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
	}

R14:	if(strstr(url, "2895_") != NULL)
        {
          IP_RULE_MSG("server=gandalf\n");
          return route_to("gandalf", NON_STICKY, saddr);
	}

R15:	if(strstr(url, "6040_") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
	}

R16:	if(strstr(url, "11426_") != NULL)
        {
          IP_RULE_MSG("server=gandalf\n");
          return route_to("gandalf", NON_STICKY, saddr);
	}

R17:	if(strstr(url, "22132_") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
	}

R18:	if(strstr(url, "41518_") != NULL)
        {
          IP_RULE_MSG("server=gandalf\n");
          return route_to("gandalf", NON_STICKY, saddr);
	}

R19:	if(strstr(url, "87360_") != NULL)
        {
          IP_RULE_MSG("server=gandalf\n");
          return route_to("gandalf", NON_STICKY, saddr);
	}

R20:	if(strstr(url, "529k_") != NULL)
        {
          IP_RULE_MSG("server=gandalf\n");
          return route_to("gandalf", NON_STICKY, saddr);
	}

  return route_to("default", NON_STICKY, saddr);
}
