#include <linux/kernel.h>
#include <linux/types.h>
#include <linux/malloc.h>
#include <linux/mm.h>
#include <linux/string.h>
#include <net/ip_masq.h>
#include <net/ip_mycs.h>
#include <net/rule_match.h>

struct ip_vs_cb_rule_field rule_fields [] =
{
  {"purchase:1.totalAmount:1.", ""},
  {"purchase:1.item:2.subTotal:1.", ""}
};

int num_rule_fields = sizeof(rule_fields) / sizeof(struct ip_vs_cb_rule_field);

#define atoi(arg) simple_strtol(&(arg[0]), (char **) NULL, 10)

__u32 rule_configure( __u32 saddr, __u32 daddr, __u16 sport, __u16 dport, __u8 protocol)
{

R1:     if(strstr(url, "NON MATCHING RULE #1") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R2:     if(strstr(url, "NON MATCHING RULE #2") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R3:     if(strstr(url, "NON MATCHING RULE #3") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R4:     if(strstr(url, "NON MATCHING RULE #4") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R5:     if(strstr(url, "NON MATCHING RULE #5") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R6:     if(strstr(url, "NON MATCHING RULE #6") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R7:     if(strstr(url, "NON MATCHING RULE #7") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R8:     if(strstr(url, "NON MATCHING RULE #8") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R9:     if(strstr(url, "NON MATCHING RULE #9") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R10:     if(strstr(url, "NON MATCHING RULE #10") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R11:     if(strstr(url, "NON MATCHING RULE #11") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R12:     if(strstr(url, "NON MATCHING RULE #12") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R13:     if(strstr(url, "NON MATCHING RULE #13") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R14:     if(strstr(url, "NON MATCHING RULE #14") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R15:     if(strstr(url, "NON MATCHING RULE #15") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R16:     if(strstr(url, "NON MATCHING RULE #16") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R17:     if(strstr(url, "NON MATCHING RULE #17") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R18:     if(strstr(url, "NON MATCHING RULE #18") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R19:     if(strstr(url, "NON MATCHING RULE #19") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R20:     if(strstr(url, "NON MATCHING RULE #20") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R21:     if(strstr(url, "NON MATCHING RULE #21") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R22:     if(strstr(url, "NON MATCHING RULE #22") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R23:     if(strstr(url, "NON MATCHING RULE #23") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R24:     if(strstr(url, "NON MATCHING RULE #24") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R25:     if(strstr(url, "NON MATCHING RULE #25") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R26:     if(strstr(url, "NON MATCHING RULE #26") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R27:     if(strstr(url, "NON MATCHING RULE #27") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R28:     if(strstr(url, "NON MATCHING RULE #28") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R29:     if(strstr(url, "NON MATCHING RULE #29") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R30:     if(strstr(url, "NON MATCHING RULE #30") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R31:     if(strstr(url, "NON MATCHING RULE #31") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R32:     if(strstr(url, "NON MATCHING RULE #32") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R33:     if(strstr(url, "NON MATCHING RULE #33") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R34:     if(strstr(url, "NON MATCHING RULE #34") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R35:     if(strstr(url, "NON MATCHING RULE #35") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R36:     if(strstr(url, "NON MATCHING RULE #36") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R37:     if(strstr(url, "NON MATCHING RULE #37") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R38:     if(strstr(url, "NON MATCHING RULE #38") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R39:     if(strstr(url, "NON MATCHING RULE #39") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R40:     if(strstr(url, "NON MATCHING RULE #40") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R41:     if(strstr(url, "NON MATCHING RULE #41") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R42:     if(strstr(url, "NON MATCHING RULE #42") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R43:     if(strstr(url, "NON MATCHING RULE #43") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R44:     if(strstr(url, "NON MATCHING RULE #44") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R45:     if(strstr(url, "NON MATCHING RULE #45") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R46:     if(strstr(url, "NON MATCHING RULE #46") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R47:     if(strstr(url, "NON MATCHING RULE #47") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R48:     if(strstr(url, "NON MATCHING RULE #48") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R49:     if(strstr(url, "NON MATCHING RULE #49") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R50:     if(strstr(url, "NON MATCHING RULE #50") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R51:     if(strstr(url, "NON MATCHING RULE #51") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R52:     if(strstr(url, "NON MATCHING RULE #52") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R53:     if(strstr(url, "NON MATCHING RULE #53") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R54:     if(strstr(url, "NON MATCHING RULE #54") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R55:     if(strstr(url, "NON MATCHING RULE #55") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R56:     if(strstr(url, "NON MATCHING RULE #56") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R57:     if(strstr(url, "NON MATCHING RULE #57") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R58:     if(strstr(url, "NON MATCHING RULE #58") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R59:     if(strstr(url, "NON MATCHING RULE #59") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R60:     if(strstr(url, "NON MATCHING RULE #60") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R61:     if(strstr(url, "NON MATCHING RULE #61") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R62:     if(strstr(url, "NON MATCHING RULE #62") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R63:     if(strstr(url, "NON MATCHING RULE #63") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R64:     if(strstr(url, "NON MATCHING RULE #64") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R65:     if(strstr(url, "NON MATCHING RULE #65") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R66:     if(strstr(url, "NON MATCHING RULE #66") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R67:     if(strstr(url, "NON MATCHING RULE #67") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R68:     if(strstr(url, "NON MATCHING RULE #68") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R69:     if(strstr(url, "NON MATCHING RULE #69") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R70:     if(strstr(url, "NON MATCHING RULE #70") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R71:     if(strstr(url, "NON MATCHING RULE #71") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R72:     if(strstr(url, "NON MATCHING RULE #72") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R73:     if(strstr(url, "NON MATCHING RULE #73") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R74:     if(strstr(url, "NON MATCHING RULE #74") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R75:     if(strstr(url, "NON MATCHING RULE #75") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R76:     if(strstr(url, "NON MATCHING RULE #76") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R77:     if(strstr(url, "NON MATCHING RULE #77") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R78:     if(strstr(url, "NON MATCHING RULE #78") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R79:     if(strstr(url, "NON MATCHING RULE #79") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R80:     if(strstr(url, "NON MATCHING RULE #80") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R81:     if(strstr(url, "NON MATCHING RULE #81") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R82:     if(strstr(url, "NON MATCHING RULE #82") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R83:     if(strstr(url, "NON MATCHING RULE #83") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R84:     if(strstr(url, "NON MATCHING RULE #84") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R85:     if(strstr(url, "NON MATCHING RULE #85") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R86:     if(strstr(url, "NON MATCHING RULE #86") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R87:     if(strstr(url, "NON MATCHING RULE #87") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R88:     if(strstr(url, "NON MATCHING RULE #88") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R89:     if(strstr(url, "NON MATCHING RULE #89") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R90:     if(strstr(url, "NON MATCHING RULE #90") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R91:     if(strstr(url, "NON MATCHING RULE #91") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R92:     if(strstr(url, "NON MATCHING RULE #92") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R93:     if(strstr(url, "NON MATCHING RULE #93") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R94:     if(strstr(url, "NON MATCHING RULE #94") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R95:     if(strstr(url, "NON MATCHING RULE #95") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R96:     if(strstr(url, "NON MATCHING RULE #96") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R97:     if(strstr(url, "NON MATCHING RULE #97") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R98:     if(strstr(url, "NON MATCHING RULE #98") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R99:     if(strstr(url, "NON MATCHING RULE #99") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R100:     if(strstr(url, "NON MATCHING RULE #100") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R101:     if(strstr(url, "NON MATCHING RULE #101") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R102:     if(strstr(url, "NON MATCHING RULE #102") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R103:     if(strstr(url, "NON MATCHING RULE #103") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R104:     if(strstr(url, "NON MATCHING RULE #104") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R105:     if(strstr(url, "NON MATCHING RULE #105") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R106:     if(strstr(url, "NON MATCHING RULE #106") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R107:     if(strstr(url, "NON MATCHING RULE #107") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R108:     if(strstr(url, "NON MATCHING RULE #108") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R109:     if(strstr(url, "NON MATCHING RULE #109") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R110:     if(strstr(url, "NON MATCHING RULE #110") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R111:     if(strstr(url, "NON MATCHING RULE #111") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R112:     if(strstr(url, "NON MATCHING RULE #112") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R113:     if(strstr(url, "NON MATCHING RULE #113") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R114:     if(strstr(url, "NON MATCHING RULE #114") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R115:     if(strstr(url, "NON MATCHING RULE #115") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R116:     if(strstr(url, "NON MATCHING RULE #116") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R117:     if(strstr(url, "NON MATCHING RULE #117") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R118:     if(strstr(url, "NON MATCHING RULE #118") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R119:     if(strstr(url, "NON MATCHING RULE #119") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R120:     if(strstr(url, "NON MATCHING RULE #120") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R121:     if(strstr(url, "NON MATCHING RULE #121") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R122:     if(strstr(url, "NON MATCHING RULE #122") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R123:     if(strstr(url, "NON MATCHING RULE #123") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R124:     if(strstr(url, "NON MATCHING RULE #124") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R125:     if(strstr(url, "NON MATCHING RULE #125") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R126:     if(strstr(url, "NON MATCHING RULE #126") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R127:     if(strstr(url, "NON MATCHING RULE #127") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R128:     if(strstr(url, "NON MATCHING RULE #128") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R129:     if(strstr(url, "NON MATCHING RULE #129") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R130:     if(strstr(url, "NON MATCHING RULE #130") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R131:     if(strstr(url, "NON MATCHING RULE #131") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R132:     if(strstr(url, "NON MATCHING RULE #132") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R133:     if(strstr(url, "NON MATCHING RULE #133") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R134:     if(strstr(url, "NON MATCHING RULE #134") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R135:     if(strstr(url, "NON MATCHING RULE #135") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R136:     if(strstr(url, "NON MATCHING RULE #136") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R137:     if(strstr(url, "NON MATCHING RULE #137") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R138:     if(strstr(url, "NON MATCHING RULE #138") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R139:     if(strstr(url, "NON MATCHING RULE #139") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R140:     if(strstr(url, "NON MATCHING RULE #140") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R141:     if(strstr(url, "NON MATCHING RULE #141") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R142:     if(strstr(url, "NON MATCHING RULE #142") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R143:     if(strstr(url, "NON MATCHING RULE #143") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R144:     if(strstr(url, "NON MATCHING RULE #144") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R145:     if(strstr(url, "NON MATCHING RULE #145") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R146:     if(strstr(url, "NON MATCHING RULE #146") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R147:     if(strstr(url, "NON MATCHING RULE #147") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R148:     if(strstr(url, "NON MATCHING RULE #148") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R149:     if(strstr(url, "NON MATCHING RULE #149") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R150:     if(strstr(url, "NON MATCHING RULE #150") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R151:     if(strstr(url, "NON MATCHING RULE #151") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R152:     if(strstr(url, "NON MATCHING RULE #152") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R153:     if(strstr(url, "NON MATCHING RULE #153") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R154:     if(strstr(url, "NON MATCHING RULE #154") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R155:     if(strstr(url, "NON MATCHING RULE #155") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R156:     if(strstr(url, "NON MATCHING RULE #156") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R157:     if(strstr(url, "NON MATCHING RULE #157") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R158:     if(strstr(url, "NON MATCHING RULE #158") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R159:     if(strstr(url, "NON MATCHING RULE #159") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R160:     if(strstr(url, "NON MATCHING RULE #160") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R161:     if(strstr(url, "NON MATCHING RULE #161") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R162:     if(strstr(url, "NON MATCHING RULE #162") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R163:     if(strstr(url, "NON MATCHING RULE #163") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R164:     if(strstr(url, "NON MATCHING RULE #164") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R165:     if(strstr(url, "NON MATCHING RULE #165") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R166:     if(strstr(url, "NON MATCHING RULE #166") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R167:     if(strstr(url, "NON MATCHING RULE #167") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R168:     if(strstr(url, "NON MATCHING RULE #168") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R169:     if(strstr(url, "NON MATCHING RULE #169") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R170:     if(strstr(url, "NON MATCHING RULE #170") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R171:     if(strstr(url, "NON MATCHING RULE #171") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R172:     if(strstr(url, "NON MATCHING RULE #172") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R173:     if(strstr(url, "NON MATCHING RULE #173") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R174:     if(strstr(url, "NON MATCHING RULE #174") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R175:     if(strstr(url, "NON MATCHING RULE #175") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R176:     if(strstr(url, "NON MATCHING RULE #176") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R177:     if(strstr(url, "NON MATCHING RULE #177") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R178:     if(strstr(url, "NON MATCHING RULE #178") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R179:     if(strstr(url, "NON MATCHING RULE #179") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R180:     if(strstr(url, "NON MATCHING RULE #180") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R181:     if(strstr(url, "NON MATCHING RULE #181") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R182:     if(strstr(url, "NON MATCHING RULE #182") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R183:     if(strstr(url, "NON MATCHING RULE #183") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R184:     if(strstr(url, "NON MATCHING RULE #184") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R185:     if(strstr(url, "NON MATCHING RULE #185") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R186:     if(strstr(url, "NON MATCHING RULE #186") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R187:     if(strstr(url, "NON MATCHING RULE #187") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R188:     if(strstr(url, "NON MATCHING RULE #188") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R189:     if(strstr(url, "NON MATCHING RULE #189") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R190:     if(strstr(url, "NON MATCHING RULE #190") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R191:     if(strstr(url, "NON MATCHING RULE #191") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R192:     if(strstr(url, "NON MATCHING RULE #192") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R193:     if(strstr(url, "NON MATCHING RULE #193") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R194:     if(strstr(url, "NON MATCHING RULE #194") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R195:     if(strstr(url, "NON MATCHING RULE #195") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R196:     if(strstr(url, "NON MATCHING RULE #196") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R197:     if(strstr(url, "NON MATCHING RULE #197") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R198:     if(strstr(url, "NON MATCHING RULE #198") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R199:     if(strstr(url, "NON MATCHING RULE #199") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R200:     if(strstr(url, "NON MATCHING RULE #200") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R201:     if(strstr(url, "NON MATCHING RULE #201") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R202:     if(strstr(url, "NON MATCHING RULE #202") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R203:     if(strstr(url, "NON MATCHING RULE #203") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R204:     if(strstr(url, "NON MATCHING RULE #204") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R205:     if(strstr(url, "NON MATCHING RULE #205") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R206:     if(strstr(url, "NON MATCHING RULE #206") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R207:     if(strstr(url, "NON MATCHING RULE #207") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R208:     if(strstr(url, "NON MATCHING RULE #208") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R209:     if(strstr(url, "NON MATCHING RULE #209") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R210:     if(strstr(url, "NON MATCHING RULE #210") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R211:     if(strstr(url, "NON MATCHING RULE #211") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R212:     if(strstr(url, "NON MATCHING RULE #212") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R213:     if(strstr(url, "NON MATCHING RULE #213") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R214:     if(strstr(url, "NON MATCHING RULE #214") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R215:     if(strstr(url, "NON MATCHING RULE #215") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R216:     if(strstr(url, "NON MATCHING RULE #216") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R217:     if(strstr(url, "NON MATCHING RULE #217") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R218:     if(strstr(url, "NON MATCHING RULE #218") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R219:     if(strstr(url, "NON MATCHING RULE #219") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R220:     if(strstr(url, "NON MATCHING RULE #220") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R221:     if(strstr(url, "NON MATCHING RULE #221") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R222:     if(strstr(url, "NON MATCHING RULE #222") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R223:     if(strstr(url, "NON MATCHING RULE #223") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R224:     if(strstr(url, "NON MATCHING RULE #224") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R225:     if(strstr(url, "NON MATCHING RULE #225") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R226:     if(strstr(url, "NON MATCHING RULE #226") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R227:     if(strstr(url, "NON MATCHING RULE #227") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R228:     if(strstr(url, "NON MATCHING RULE #228") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R229:     if(strstr(url, "NON MATCHING RULE #229") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R230:     if(strstr(url, "NON MATCHING RULE #230") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R231:     if(strstr(url, "NON MATCHING RULE #231") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R232:     if(strstr(url, "NON MATCHING RULE #232") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R233:     if(strstr(url, "NON MATCHING RULE #233") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R234:     if(strstr(url, "NON MATCHING RULE #234") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R235:     if(strstr(url, "NON MATCHING RULE #235") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R236:     if(strstr(url, "NON MATCHING RULE #236") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R237:     if(strstr(url, "NON MATCHING RULE #237") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R238:     if(strstr(url, "NON MATCHING RULE #238") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R239:     if(strstr(url, "NON MATCHING RULE #239") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R240:     if(strstr(url, "NON MATCHING RULE #240") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R241:     if(strstr(url, "NON MATCHING RULE #241") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R242:     if(strstr(url, "NON MATCHING RULE #242") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R243:     if(strstr(url, "NON MATCHING RULE #243") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R244:     if(strstr(url, "NON MATCHING RULE #244") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R245:     if(strstr(url, "NON MATCHING RULE #245") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R246:     if(strstr(url, "NON MATCHING RULE #246") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R247:     if(strstr(url, "NON MATCHING RULE #247") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R248:     if(strstr(url, "NON MATCHING RULE #248") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R249:     if(strstr(url, "NON MATCHING RULE #249") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R250:     if(strstr(url, "NON MATCHING RULE #250") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R251:     if(strstr(url, "NON MATCHING RULE #251") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R252:     if(strstr(url, "NON MATCHING RULE #252") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R253:     if(strstr(url, "NON MATCHING RULE #253") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R254:     if(strstr(url, "NON MATCHING RULE #254") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R255:     if(strstr(url, "NON MATCHING RULE #255") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R256:     if(strstr(url, "NON MATCHING RULE #256") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R257:     if(strstr(url, "NON MATCHING RULE #257") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R258:     if(strstr(url, "NON MATCHING RULE #258") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R259:     if(strstr(url, "NON MATCHING RULE #259") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R260:     if(strstr(url, "NON MATCHING RULE #260") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R261:     if(strstr(url, "NON MATCHING RULE #261") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R262:     if(strstr(url, "NON MATCHING RULE #262") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R263:     if(strstr(url, "NON MATCHING RULE #263") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R264:     if(strstr(url, "NON MATCHING RULE #264") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R265:     if(strstr(url, "NON MATCHING RULE #265") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R266:     if(strstr(url, "NON MATCHING RULE #266") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R267:     if(strstr(url, "NON MATCHING RULE #267") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R268:     if(strstr(url, "NON MATCHING RULE #268") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R269:     if(strstr(url, "NON MATCHING RULE #269") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R270:     if(strstr(url, "NON MATCHING RULE #270") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R271:     if(strstr(url, "NON MATCHING RULE #271") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R272:     if(strstr(url, "NON MATCHING RULE #272") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R273:     if(strstr(url, "NON MATCHING RULE #273") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R274:     if(strstr(url, "NON MATCHING RULE #274") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R275:     if(strstr(url, "NON MATCHING RULE #275") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R276:     if(strstr(url, "NON MATCHING RULE #276") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R277:     if(strstr(url, "NON MATCHING RULE #277") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R278:     if(strstr(url, "NON MATCHING RULE #278") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R279:     if(strstr(url, "NON MATCHING RULE #279") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R280:     if(strstr(url, "NON MATCHING RULE #280") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R281:     if(strstr(url, "NON MATCHING RULE #281") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R282:     if(strstr(url, "NON MATCHING RULE #282") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R283:     if(strstr(url, "NON MATCHING RULE #283") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R284:     if(strstr(url, "NON MATCHING RULE #284") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R285:     if(strstr(url, "NON MATCHING RULE #285") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R286:     if(strstr(url, "NON MATCHING RULE #286") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R287:     if(strstr(url, "NON MATCHING RULE #287") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R288:     if(strstr(url, "NON MATCHING RULE #288") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R289:     if(strstr(url, "NON MATCHING RULE #289") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R290:     if(strstr(url, "NON MATCHING RULE #290") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R291:     if(strstr(url, "NON MATCHING RULE #291") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R292:     if(strstr(url, "NON MATCHING RULE #292") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R293:     if(strstr(url, "NON MATCHING RULE #293") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R294:     if(strstr(url, "NON MATCHING RULE #294") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R295:     if(strstr(url, "NON MATCHING RULE #295") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R296:     if(strstr(url, "NON MATCHING RULE #296") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R297:     if(strstr(url, "NON MATCHING RULE #297") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R298:     if(strstr(url, "NON MATCHING RULE #298") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R299:     if(strstr(url, "NON MATCHING RULE #299") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R300:     if(strstr(url, "NON MATCHING RULE #300") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R301:     if(strstr(url, "NON MATCHING RULE #301") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R302:     if(strstr(url, "NON MATCHING RULE #302") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R303:     if(strstr(url, "NON MATCHING RULE #303") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R304:     if(strstr(url, "NON MATCHING RULE #304") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R305:     if(strstr(url, "NON MATCHING RULE #305") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R306:     if(strstr(url, "NON MATCHING RULE #306") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R307:     if(strstr(url, "NON MATCHING RULE #307") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R308:     if(strstr(url, "NON MATCHING RULE #308") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R309:     if(strstr(url, "NON MATCHING RULE #309") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R310:     if(strstr(url, "NON MATCHING RULE #310") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R311:     if(strstr(url, "NON MATCHING RULE #311") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R312:     if(strstr(url, "NON MATCHING RULE #312") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R313:     if(strstr(url, "NON MATCHING RULE #313") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R314:     if(strstr(url, "NON MATCHING RULE #314") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R315:     if(strstr(url, "NON MATCHING RULE #315") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R316:     if(strstr(url, "NON MATCHING RULE #316") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R317:     if(strstr(url, "NON MATCHING RULE #317") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R318:     if(strstr(url, "NON MATCHING RULE #318") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R319:     if(strstr(url, "NON MATCHING RULE #319") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R320:     if(strstr(url, "NON MATCHING RULE #320") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R321:     if(strstr(url, "NON MATCHING RULE #321") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R322:     if(strstr(url, "NON MATCHING RULE #322") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R323:     if(strstr(url, "NON MATCHING RULE #323") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R324:     if(strstr(url, "NON MATCHING RULE #324") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R325:     if(strstr(url, "NON MATCHING RULE #325") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R326:     if(strstr(url, "NON MATCHING RULE #326") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R327:     if(strstr(url, "NON MATCHING RULE #327") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R328:     if(strstr(url, "NON MATCHING RULE #328") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R329:     if(strstr(url, "NON MATCHING RULE #329") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R330:     if(strstr(url, "NON MATCHING RULE #330") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R331:     if(strstr(url, "NON MATCHING RULE #331") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R332:     if(strstr(url, "NON MATCHING RULE #332") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R333:     if(strstr(url, "NON MATCHING RULE #333") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R334:     if(strstr(url, "NON MATCHING RULE #334") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R335:     if(strstr(url, "NON MATCHING RULE #335") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R336:     if(strstr(url, "NON MATCHING RULE #336") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R337:     if(strstr(url, "NON MATCHING RULE #337") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R338:     if(strstr(url, "NON MATCHING RULE #338") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R339:     if(strstr(url, "NON MATCHING RULE #339") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R340:     if(strstr(url, "NON MATCHING RULE #340") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R341:     if(strstr(url, "NON MATCHING RULE #341") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R342:     if(strstr(url, "NON MATCHING RULE #342") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R343:     if(strstr(url, "NON MATCHING RULE #343") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R344:     if(strstr(url, "NON MATCHING RULE #344") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R345:     if(strstr(url, "NON MATCHING RULE #345") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R346:     if(strstr(url, "NON MATCHING RULE #346") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R347:     if(strstr(url, "NON MATCHING RULE #347") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R348:     if(strstr(url, "NON MATCHING RULE #348") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R349:     if(strstr(url, "NON MATCHING RULE #349") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R350:     if(strstr(url, "NON MATCHING RULE #350") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R351:     if(strstr(url, "NON MATCHING RULE #351") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R352:     if(strstr(url, "NON MATCHING RULE #352") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R353:     if(strstr(url, "NON MATCHING RULE #353") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R354:     if(strstr(url, "NON MATCHING RULE #354") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R355:     if(strstr(url, "NON MATCHING RULE #355") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R356:     if(strstr(url, "NON MATCHING RULE #356") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R357:     if(strstr(url, "NON MATCHING RULE #357") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R358:     if(strstr(url, "NON MATCHING RULE #358") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R359:     if(strstr(url, "NON MATCHING RULE #359") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R360:     if(strstr(url, "NON MATCHING RULE #360") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R361:     if(strstr(url, "NON MATCHING RULE #361") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R362:     if(strstr(url, "NON MATCHING RULE #362") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R363:     if(strstr(url, "NON MATCHING RULE #363") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R364:     if(strstr(url, "NON MATCHING RULE #364") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R365:     if(strstr(url, "NON MATCHING RULE #365") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R366:     if(strstr(url, "NON MATCHING RULE #366") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R367:     if(strstr(url, "NON MATCHING RULE #367") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R368:     if(strstr(url, "NON MATCHING RULE #368") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R369:     if(strstr(url, "NON MATCHING RULE #369") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R370:     if(strstr(url, "NON MATCHING RULE #370") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R371:     if(strstr(url, "NON MATCHING RULE #371") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R372:     if(strstr(url, "NON MATCHING RULE #372") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R373:     if(strstr(url, "NON MATCHING RULE #373") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R374:     if(strstr(url, "NON MATCHING RULE #374") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R375:     if(strstr(url, "NON MATCHING RULE #375") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R376:     if(strstr(url, "NON MATCHING RULE #376") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R377:     if(strstr(url, "NON MATCHING RULE #377") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R378:     if(strstr(url, "NON MATCHING RULE #378") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R379:     if(strstr(url, "NON MATCHING RULE #379") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R380:     if(strstr(url, "NON MATCHING RULE #380") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R381:     if(strstr(url, "NON MATCHING RULE #381") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R382:     if(strstr(url, "NON MATCHING RULE #382") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R383:     if(strstr(url, "NON MATCHING RULE #383") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R384:     if(strstr(url, "NON MATCHING RULE #384") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R385:     if(strstr(url, "NON MATCHING RULE #385") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R386:     if(strstr(url, "NON MATCHING RULE #386") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R387:     if(strstr(url, "NON MATCHING RULE #387") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R388:     if(strstr(url, "NON MATCHING RULE #388") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R389:     if(strstr(url, "NON MATCHING RULE #389") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R390:     if(strstr(url, "NON MATCHING RULE #390") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R391:     if(strstr(url, "NON MATCHING RULE #391") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R392:     if(strstr(url, "NON MATCHING RULE #392") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R393:     if(strstr(url, "NON MATCHING RULE #393") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R394:     if(strstr(url, "NON MATCHING RULE #394") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R395:     if(strstr(url, "NON MATCHING RULE #395") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R396:     if(strstr(url, "NON MATCHING RULE #396") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R397:     if(strstr(url, "NON MATCHING RULE #397") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R398:     if(strstr(url, "NON MATCHING RULE #398") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R399:     if(strstr(url, "NON MATCHING RULE #399") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R400:     if(strstr(url, "NON MATCHING RULE #400") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R401:     if(strstr(url, "NON MATCHING RULE #401") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R402:     if(strstr(url, "NON MATCHING RULE #402") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R403:     if(strstr(url, "NON MATCHING RULE #403") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R404:     if(strstr(url, "NON MATCHING RULE #404") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R405:     if(strstr(url, "NON MATCHING RULE #405") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R406:     if(strstr(url, "NON MATCHING RULE #406") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R407:     if(strstr(url, "NON MATCHING RULE #407") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R408:     if(strstr(url, "NON MATCHING RULE #408") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R409:     if(strstr(url, "NON MATCHING RULE #409") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R410:     if(strstr(url, "NON MATCHING RULE #410") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R411:     if(strstr(url, "NON MATCHING RULE #411") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R412:     if(strstr(url, "NON MATCHING RULE #412") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R413:     if(strstr(url, "NON MATCHING RULE #413") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R414:     if(strstr(url, "NON MATCHING RULE #414") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R415:     if(strstr(url, "NON MATCHING RULE #415") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R416:     if(strstr(url, "NON MATCHING RULE #416") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R417:     if(strstr(url, "NON MATCHING RULE #417") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R418:     if(strstr(url, "NON MATCHING RULE #418") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R419:     if(strstr(url, "NON MATCHING RULE #419") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R420:     if(strstr(url, "NON MATCHING RULE #420") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R421:     if(strstr(url, "NON MATCHING RULE #421") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R422:     if(strstr(url, "NON MATCHING RULE #422") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R423:     if(strstr(url, "NON MATCHING RULE #423") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R424:     if(strstr(url, "NON MATCHING RULE #424") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R425:     if(strstr(url, "NON MATCHING RULE #425") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R426:     if(strstr(url, "NON MATCHING RULE #426") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R427:     if(strstr(url, "NON MATCHING RULE #427") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R428:     if(strstr(url, "NON MATCHING RULE #428") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R429:     if(strstr(url, "NON MATCHING RULE #429") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R430:     if(strstr(url, "NON MATCHING RULE #430") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R431:     if(strstr(url, "NON MATCHING RULE #431") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R432:     if(strstr(url, "NON MATCHING RULE #432") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R433:     if(strstr(url, "NON MATCHING RULE #433") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R434:     if(strstr(url, "NON MATCHING RULE #434") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R435:     if(strstr(url, "NON MATCHING RULE #435") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R436:     if(strstr(url, "NON MATCHING RULE #436") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R437:     if(strstr(url, "NON MATCHING RULE #437") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R438:     if(strstr(url, "NON MATCHING RULE #438") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R439:     if(strstr(url, "NON MATCHING RULE #439") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R440:     if(strstr(url, "NON MATCHING RULE #440") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R441:     if(strstr(url, "NON MATCHING RULE #441") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R442:     if(strstr(url, "NON MATCHING RULE #442") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R443:     if(strstr(url, "NON MATCHING RULE #443") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R444:     if(strstr(url, "NON MATCHING RULE #444") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R445:     if(strstr(url, "NON MATCHING RULE #445") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R446:     if(strstr(url, "NON MATCHING RULE #446") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R447:     if(strstr(url, "NON MATCHING RULE #447") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R448:     if(strstr(url, "NON MATCHING RULE #448") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R449:     if(strstr(url, "NON MATCHING RULE #449") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R450:     if(strstr(url, "NON MATCHING RULE #450") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R451:     if(strstr(url, "NON MATCHING RULE #451") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R452:     if(strstr(url, "NON MATCHING RULE #452") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R453:     if(strstr(url, "NON MATCHING RULE #453") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R454:     if(strstr(url, "NON MATCHING RULE #454") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R455:     if(strstr(url, "NON MATCHING RULE #455") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R456:     if(strstr(url, "NON MATCHING RULE #456") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R457:     if(strstr(url, "NON MATCHING RULE #457") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R458:     if(strstr(url, "NON MATCHING RULE #458") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R459:     if(strstr(url, "NON MATCHING RULE #459") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R460:     if(strstr(url, "NON MATCHING RULE #460") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R461:     if(strstr(url, "NON MATCHING RULE #461") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R462:     if(strstr(url, "NON MATCHING RULE #462") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R463:     if(strstr(url, "NON MATCHING RULE #463") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R464:     if(strstr(url, "NON MATCHING RULE #464") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R465:     if(strstr(url, "NON MATCHING RULE #465") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R466:     if(strstr(url, "NON MATCHING RULE #466") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R467:     if(strstr(url, "NON MATCHING RULE #467") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R468:     if(strstr(url, "NON MATCHING RULE #468") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R469:     if(strstr(url, "NON MATCHING RULE #469") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R470:     if(strstr(url, "NON MATCHING RULE #470") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R471:     if(strstr(url, "NON MATCHING RULE #471") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R472:     if(strstr(url, "NON MATCHING RULE #472") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R473:     if(strstr(url, "NON MATCHING RULE #473") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R474:     if(strstr(url, "NON MATCHING RULE #474") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R475:     if(strstr(url, "NON MATCHING RULE #475") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R476:     if(strstr(url, "NON MATCHING RULE #476") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R477:     if(strstr(url, "NON MATCHING RULE #477") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R478:     if(strstr(url, "NON MATCHING RULE #478") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R479:     if(strstr(url, "NON MATCHING RULE #479") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R480:     if(strstr(url, "NON MATCHING RULE #480") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R481:     if(strstr(url, "NON MATCHING RULE #481") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R482:     if(strstr(url, "NON MATCHING RULE #482") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R483:     if(strstr(url, "NON MATCHING RULE #483") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R484:     if(strstr(url, "NON MATCHING RULE #484") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R485:     if(strstr(url, "NON MATCHING RULE #485") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R486:     if(strstr(url, "NON MATCHING RULE #486") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R487:     if(strstr(url, "NON MATCHING RULE #487") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R488:     if(strstr(url, "NON MATCHING RULE #488") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R489:     if(strstr(url, "NON MATCHING RULE #489") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R490:     if(strstr(url, "NON MATCHING RULE #490") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
        }
         
R491:	if(strstr(url, "223_") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
	}

R492:	if(strstr(url, "735_") != NULL)
        {
          IP_RULE_MSG("server=gandalf\n");
          return route_to("gandalf", NON_STICKY, saddr);
	}

R493:	if(strstr(url, "1522_") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
	}

R494:	if(strstr(url, "2895_") != NULL)
        {
          IP_RULE_MSG("server=gandalf\n");
          return route_to("gandalf", NON_STICKY, saddr);
	}

R495:	if(strstr(url, "6040_") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
	}

R496:	if(strstr(url, "11426_") != NULL)
        {
          IP_RULE_MSG("server=gandalf\n");
          return route_to("gandalf", NON_STICKY, saddr);
	}

R497:	if(strstr(url, "22132_") != NULL)
        {
          IP_RULE_MSG("server=vinci\n");
          return route_to("vinci", NON_STICKY, saddr);
	}

R498:	if(strstr(url, "41518_") != NULL)
        {
          IP_RULE_MSG("server=gandalf\n");
          return route_to("gandalf", NON_STICKY, saddr);
	}

R499:	if(strstr(url, "87360_") != NULL)
        {
          IP_RULE_MSG("server=gandalf\n");
          return route_to("gandalf", NON_STICKY, saddr);
	}

R500:	if(strstr(url, "529k_") != NULL)
        {
          IP_RULE_MSG("server=gandalf\n");
          return route_to("gandalf", NON_STICKY, saddr);
	}

  return route_to("default", NON_STICKY, saddr);
}
